Page MenuHomeFreeBSD

cad/gmsh: upgrade to 2.13.2, fix knob issue, other various changes
ClosedPublic

Authored by jrm on Aug 30 2016, 2:59 AM.
Tags
None
Referenced Files
Unknown Object (File)
Feb 2 2024, 12:00 AM
Unknown Object (File)
Jan 31 2024, 11:54 PM
Unknown Object (File)
Jan 31 2024, 12:11 AM
Unknown Object (File)
Dec 20 2023, 12:54 AM
Unknown Object (File)
Dec 8 2023, 7:11 AM
Unknown Object (File)
Nov 24 2023, 12:22 PM
Unknown Object (File)
Nov 21 2023, 6:05 AM
Unknown Object (File)
Nov 6 2023, 5:51 PM
Subscribers

Details

Summary
  • Upgrade to version 2.13.2
  • Update MASTER_SITES to only include new gmsh site
  • Remove no-longer-needed definitions of DISTFILES, EXTRACT_ONLY, and WRKSRC
  • The licensing situation is simpler now: Gmsh itself is released under GPLv3+ [1], TetGen under AGPLv3+ [2], and METIS under an APACHE2 license [3] For now, TAUCS is the only component released under a non-standard license [4]
  • Fix misnamed KNOB in KNOB_DESC=, so make config shows descriptions
  • Fix errors/warnings reported by portlint and poudriere testport
    • Add missing entries to LIB_DEPENDS=
    • Add blaslapack to USES=
    • Change USE_GL=yes to USE_GL=gl glu
    • Add USE_XORG=x11 xext xfixes xft
    • Redo patches with make makepatch
  • Remove MAKE_JOBS_UNSAFE=yes (no build errors)
  • Match upstream by turning on TAUCS by default
  • Modernize option handling
  • Add patch to fix linking error when the TAUCS knob is turned on
  • Mark broken on FreeBSD 12 i386 due to clang bug: (https://llvm.org/bugs/show_bug.cgi?id=21903)
  • Remove unnecessary TAUCS_LIB_DEPENDS=libtaucs.so:math/taucs to prevent problems with french/aster
    • cad/gmsh includes a bundled taucs, so TAUCS_LIB_DEPENDS=libtaucs.so:math/taucs can be removed
    • math/taucs pulls in math/metis4, but french/aster, which depends on cad/gmsh ad/gmsh, pulls in conflicting math/taucs-edf
  • Update pkg-plist

porlint -C: OK
testport: OK (poudriere: 9.3-RELEASE, i386, default options)
testport: OK (poudriere: 9.3-RELEASE, amd64, default options)
testport: OK (poudriere: 10.3-RELEASE, i386, default options)
testport: OK (poudriere: 10.3-RELEASE, amd64, default options)
testport: OK (poudriere: 11.0-RC2, i386, default options)
testport: OK (poudriere: 11.0-RC2, amd64, default options)

http://pkg.awarnach.mathstat.dal.ca/data/latest-per-pkg/gmsh/2.13.2/

[1] http://gmsh.info/#Licensing
[2] http://wias-berlin.de/software/tetgen/1.5/FAQ-license.html
[3] http://glaros.dtc.umn.edu/gkhome/metis/metis/faq?q=metis/metis/faq#cite
[4] http://www.tau.ac.il/~stoledo/taucs/

Test Plan

While cad/gmsh builds fine for all the architectures/versions listed above, it can fail on live systems when ceratin (yet-to-be-determined) packages are installed. I hope to investigate this before the next patch.

Before committing, sort and align text.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jrm retitled this revision from to cad/gmsh: upgrade to 2.13.2, fix knob issue, various other changes.
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm added reviewers: swills, wblock.
jrm set the repository for this revision to rP FreeBSD ports repository.

Please, remove all the whitespace changes you added it makes it impossible to read the diff

jrm retitled this revision from cad/gmsh: upgrade to 2.13.2, fix knob issue, various other changes to cad/gmsh: upgrade to 2.13.2, fix knob issue, other various changes.
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)

This one should be easier to see what's going on.

Makefile
32 ↗(On Diff #19945)

Are you sure the issue for which it was marked unsafe has been fixed ?

80–82 ↗(On Diff #19945)

This should go above the implies, so that it is readily readable.

jrm marked an inline comment as done.Sep 2 2016, 8:47 PM
jrm added inline comments.
Makefile
32 ↗(On Diff #19945)

I just tested the builds. The commit message for the commit that added the line doesn't have any information. Is there anything else I can test?

jrm edited the test plan for this revision. (Show Details)

Move comment describing why TAUCS_IMPLIES=METIS is necessary inline.

Update diff after r422711 and r422828 were committed

jrm updated this object.
swills edited edge metadata.

LGTM, Approved

This revision is now accepted and ready to land.Sep 29 2016, 2:02 PM
jrm edited edge metadata.
jrm updated this object.

Incorporate suggestions from AMDmi3

  • Remove options for bundled software
  • Update default options
  • Use OPT_CMAKE_BOOL
This revision now requires review to proceed.Sep 29 2016, 6:40 PM
swills edited edge metadata.

LGTM, Approved

This revision is now accepted and ready to land.Sep 29 2016, 6:51 PM
This revision was automatically updated to reflect the committed changes.